Tag Parser: TagParser::Id3v2TagMaker Class Reference

Tag Parser 12.5.3 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | Friends | List of all members
TagParser::Id3v2TagMaker Class Reference

The Id3v2TagMaker class helps writing ID3v2 tags. More...

`#include <id3v2tag.h>`

## Public Member Functions
void | make (std::ostream &stream, std::uint32_t padding, Diagnostics &diag)
| Saves the tag (specified when constructing the object) to the specified stream.
const Id3v2Tag & | tag () const
| Returns the associated tag.
std::uint64_t | requiredSize () const
| Returns the number of bytes which will be written when making the tag.

## Friends
class | Id3v2Tag

## Detailed Description

The Id3v2TagMaker class helps writing ID3v2 tags.

An instance can be obtained using the Id3v2Tag::prepareMaking() method.

Definition at line 35 of file id3v2tag.h.

## Member Function Documentation

## ◆ make()

void TagParser::Id3v2TagMaker::make | ( | std::ostream & | stream,
|  | std::uint32_t | padding,
|  | Diagnostics & | diag )

Saves the tag (specified when constructing the object) to the specified stream.

Exceptions

  Throws | std::ios_base::failure when an IO error occurs.
  Throws | Assumes the data is already validated and thus does NOT throw TagParser::Failure or a derived exception.

Definition at line 891 of file id3v2tag.cpp.

## ◆ requiredSize()

std::uint64_t TagParser::Id3v2TagMaker::requiredSize | ( |  | ) | const
| inline

Returns the number of bytes which will be written when making the tag.

Remarks
  Excludes padding!

Definition at line 64 of file id3v2tag.h.

## ◆ tag()

const Id3v2Tag & TagParser::Id3v2TagMaker::tag | ( |  | ) | const
| inline

Returns the associated tag.

Definition at line 55 of file id3v2tag.h.

## Friends And Related Symbol Documentation

## ◆ Id3v2Tag

friend class Id3v2Tag
| friend

Definition at line 36 of file id3v2tag.h.

The documentation for this class was generated from the following files:

- id3/id3v2tag.h
- id3/id3v2tag.cpp